コンテンツにスキップ
ShopentlyLearn

注文の割り当てを一覧表示

コードを表示せずに割り当て済みの在庫を取得します。返金時は対象の注文項目のみアクセスを失います。

GET/api/v1/orders/{order_id}/digital-deliveries

cURLリクエスト

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request GET \
  --url https://shop.onshopently.com/api/v1/orders/order-example/digital-deliveries \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN'

レスポンス

{
  "data": [
    {
      "can_download": true,
      "content_state": "present",
      "delete_due_at": null,
      "filename": null,
      "first_available_at": "2026-11-03T12:00:00Z",
      "generation": 1,
      "id": "00000000-0000-4000-8000-000000000005",
      "kind": "code",
      "line_id": "line-example",
      "order_id": "order-example",
      "payload_id": "00000000-0000-4000-8000-000000000012",
      "product_id": "example",
      "reason": "",
      "size_bytes": null,
      "state": "available",
      "unit_id": "00000000-0000-4000-8000-000000000011",
      "unit_ordinal": 1,
      "variant_id": null,
      "version": 2
    }
  ],
  "meta": {
    "pagination": {
      "has_more": false,
      "limit": 50,
      "next_cursor": null
    },
    "request_id": "example-request"
  }
}

必要な権限

利用可能な最低プラン
BASIC
キーの権限
注文のデジタル割り当てを表示orders.digital_delivery:read